# EditorsKit - Gutenberg Page Building Block Options [![Tweet](https://img.shields.io/twitter/url/http/shields.io.svg?style=social)](https://twitter.com/intent/tweet?text=EditorsKit%20-%20Gutenberg%20Page%20Building%20Block%20Options&url=https://editorskit.com/&via=editorskit&hashtags=gutenberg,blocks,WordPress)

![Plugin Version](https://img.shields.io/wordpress/plugin/v/block-options.svg?maxAge=2592000) ![Total Downloads](https://img.shields.io/wordpress/plugin/dt/block-options.svg?maxAge=2592000) ![Plugin Rating](https://img.shields.io/wordpress/plugin/r/block-options.svg?maxAge=2592000) ![WordPress Compatibility](https://img.shields.io/wordpress/v/block-options.svg?maxAge=2592000) [![License](https://img.shields.io/badge/license-GPL--2.0%2B-red.svg)](https://github.com/phpbits/block-options/blob/master/LICENSE)

### Welcome to our GitHub Repository

[EditorsKit](https://editorskit.com?utm_medium=github&utm_source=github&utm_campaign=readme&utm_content=editorskit) provides set of page building block options and tools for the new WordPress Gutenberg editor.

[![EditorsKit: Gutenberg Page Building Block Options](https://i.ytimg.com/vi_webp/_Im6fuUZXfc/maxresdefault.webp)](https://www.youtube.com/watch?v=_Im6fuUZXfc "EditorsKit")

## Features

### Visibility
* Show or Hide Gutenberg Blocks on Desktop, Tablet and Mobile Devices
* Gutenberg Editor Blocks Visibility per User Logged-in or Logged-out State
* Custom Conditional Display Logic for Blocks Visibility
* Show or Hide Gutenberg Blocks based on Advanced Custom Fields Value

### Rich Text Formats
Additional formats for Rich Text editor. Bringing the ease from TinyMCE to Block Editor.

* Clear Formatting
* Highlighted Text Colors
* Highlighted Text Background Color
* Paragraph Justify Alignment
* Underline Text Format
* Subscript
* Superscript

### Markdown
Write away! Starting version 1.6 markdown for `*bold*`, `_italic_` and `~strikethrough~` are available on the editor.

### Block Guide Lines
Toggle visible guide lines on title and each editor blocks in order to check the element boundaries. This feature will also help your workflow on handling nested blocks.

### Toggle Title Visibility
Easily hide title on your website but visible when you are writing.

## Installation ##

1. Download EditorsKit from the [WordPress plugin directory](https://wordpress.org/plugins/block-options/).

## Bugs ##
If you find an issue, please report on the issues tab. Thanks!


## Contributions ##
There are various ways you can contribute:

1. Raise an [Issue](https://github.com/phpbits/block-options/issues) on GitHub
2. Send us a Pull Request with your bug fixes and/or new features
3. Translate Widget Options into different languages
4. Provide feedback and suggestions on [enhancements](https://github.com/phpbits/block-options/issues)
